## helma.image.imageio
Class ImageIOGenerator

    java.lang.Object
      helma.image.ImageGenerator
          helma.image.imageio.ImageIOGenerator

    public class ImageIOGenerator

extends ImageGenerator

A wrapper for an image that uses the ImageIO Framework.

Field Summary

Fields inherited from class helma.image.ImageGenerator
`generator`

Constructor Summary
`ImageIOGenerator()`

Method Summary
`protected void` `write(ImageWrapper wrapper, javax.imageio.ImageWriter writer, float quality, boolean alpha)`
`void` `write(ImageWrapper wrapper, java.io.OutputStream out, java.lang.String mimeType, float quality, boolean alpha)` Saves the image.
`void` `write(ImageWrapper wrapper, java.lang.String filename, float quality, boolean alpha)` Saves the image.

Methods inherited from class helma.image.ImageGenerator
`createImage, createImage, createImage, createImage, createImage, createImage, createImage, getInstance, read, read, read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOGenerator

    public ImageIOGenerator()

Method Detail

### write

    protected void write(ImageWrapper wrapper,
                         javax.imageio.ImageWriter writer,
                         float quality,
                         boolean alpha)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(ImageWrapper wrapper,
                      java.lang.String filename,
                      float quality,
                      boolean alpha)
               throws java.io.IOException

  Saves the image. Image format is deduced from filename.

  Specified by:
    `write` in class `ImageGenerator`
  Parameters:
    `wrapper` - the image to write
    `filename` - the file to write to
    `quality` - image quality
    `alpha` - to enable alpha
  Throws:
    `java.io.IOException`
  See Also:
    `ImageGenerator.write(helma.image.ImageWrapper, java.lang.String, float, boolean)`

### write

    public void write(ImageWrapper wrapper,
                      java.io.OutputStream out,
                      java.lang.String mimeType,
                      float quality,
                      boolean alpha)
               throws java.io.IOException

  Saves the image. Image format is deduced from type.

  Specified by:
    `write` in class `ImageGenerator`
  Parameters:
    `wrapper` - the image to write
    `out` - the outputstream to write to
    `mimeType` - the mime type
    `quality` - image quality
    `alpha` - to enable alpha
  Throws:
    `java.io.IOException`
  See Also:
    `ImageGenerator.write(helma.image.ImageWrapper, java.io.OutputStream, java.lang.String, float, boolean)`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.